// Gmsh project created on Mon May 03 11:13:42 2021

// Dimensione mesh sul punto
cl1 = 10;

// __PUNTI__
// Coordinate punto "C"
xc = -454.4;
zc = 208.3;

// Angolo rinforzo centrale (gradi)
arc = -16;
ar = arc*Pi/180;
m = Tan(ar);

// Canotto di sterzo
Point(1) = {0, 0, 0, cl1};
Point(2) = {0, 0, 120, cl1};

// Collegamento montante centrale - discendenti laterali (punto "C")
Point(3) = {xc, 0, zc, cl1};

// Fine discendenti laterali
Point(4) = {-707.815, 100, -213.463, cl1};
Point(5) = {-707.815, -100, -213.463, cl1};

// Fine montante anteriore
Point(6) = {-262.4, 0, -302, cl1};

// Culla inferiore dx
Point(7) = {-332.2, -50, -382.5, cl1};
Point(8) = {-402, -100, -463, cl1};
Point(9) = {-488.25, -100, -420.75, cl1};
Point(10) = {-747, -100, -294, cl1};

// Culla inferiore sx
Point(11) = {-332.2, 50, -382.5, cl1};
Point(12) = {-402, 100, -463, cl1};
Point(13) = {-488.25, 100, -420.75, cl1};
Point(14) = {-747, 100, -294, cl1};

// Montante laterale dx
a1 = Atan2(-213.463-zc, -707.815-xc);
Point(15) = {xc+100*Cos(a1), -100, zc+100*Sin(a1), cl1};

// Montante laterale sx
Point(16) = {xc+100*Cos(a1), 100, zc+100*Sin(a1), cl1};

// Rinforzo centrale
q = zc-m*xc;
If ( q>=0 )
Point(17) = {0, 0, q, cl1};
Else
m1 = 302/262.4;
Point(17) = {q/(m1-m), 0, m1*q/(m1-m), cl1};
EndIf

// __LINEE__

// Canotto di sterzo
If ( q>=0 )
Line(1) = {1, 17};
Line(2) = {17, 2};
Physical Line("sterzo") = {1, 2};
Else
Line(1) = {1, 2};
Physical Line("sterzo") = {1};
EndIf

// Monotrave
Line(3) = {2, 3};
Physical Line("monotrave") = {3};

// Montante anteriore
If ( q>=0 )
Line(4) = {1, 6};
Physical Line("mont_ant") = {4};
Else
Line(2) = {1, 17};
Line(4) = {17, 6};
Physical Line("mont_ant") = {2, 4};
EndIf

// Culla inferiore dx
Line(5) = {6, 7};
Bezier(15) = {7, 8, 8, 9};
Line(7) = {9, 10};

// Culla inferiore sx
Line(6) = {6, 11};
Bezier(16) = {11, 12, 12, 13};
Line(10) = {13, 14};
Physical Line("culla") = {5, 15, 7, 6, 16, 10};

// Connessione pedane dx
Line(8) = {10, 5};

// Connessione pedane sx
Line(9) = {4, 14};
Physical Line("conn_pedane") = {8, 9};

// Rinforzo 1 culla inferiore
Line(11) = {13, 9};

// Rinforzo 2 culla inferiore
Line(12) = {14, 10};
Physical Line("rinforzo_inf") = {11, 12};

// Montante laterale dx
Bezier(13) = {3, 15, 15, 5};

// Montante laterale sx
Bezier(14) = {3, 16, 16, 4};
Physical Line("discendenti") = {13, 14};

// Rinforzo centrale
Line(17) = {3, 17};
Physical Line("rinf_centrale") = {17};

// CARICHI - VINCOLI
Physical Point("load") = {2, 1};
Physical Point("fix") = {5, 4};
